2006-10-13  Bill Nottingham  <notting@redhat.com>

	* po/kn.po, po/te.po: Use a valid charset (#210720)
	
	* rhpl.spec: Bump release

2006-09-06  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Remove pyxf86config requirement (#205019).
	Bump release.

2006-07-25  Harald Hoyer  <harald@redhat.com>

	* src/genClass.py: fixed bool value parsing

2006-06-21  Chris Lumens  <clumens@redhat.com>

	* src/Conf.py (ConfEResolv.write):  Fix traceback (#182395).

2006-04-26  Jeremy Katz  <katzj@redhat.com>

	* comps.py: Remove.

2006-03-23  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Bump version.

	* src/firstboot_module_window.py, src/guesslcd.py, src/monitor.py,
	src/mouse.py, src/videocard.py, src/xhwstate.py, src/xserver.py:
	Removed deprecated files.

2006-03-02  Jeremy Katz  <katzj@redhat.com>

	* rhpl.spec: Bump version.

	* src/keyboard_models.py (KeyboardModels.__init__): Fix Serbian
	keyboard model (#182591)

2006-03-01  David Cantrell  <dcantrell@redhat.com>

	* rhpl.spec: Bump version.

	* src/keyboard_modules.py: Use ca(fr) and remove fr-legacy variant
	for Canadian French xkb layout (#182007).

2006-02-24  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec: Bump version.

	* src/keyboard_models.py (KeyboardModels.__init__):  shift_toggle ->
	shifts_toggle (#173267).

2006-02-15  David Cantrell  <dcantrell@redhat.com>

	* rhpl.spec: Bump version.

	* src/keyboard.py (Keyboard.activate): Add /usr/bin to the front of
	setxkbmap command.  Correct the list of options passed to setxkbmap
	so that non-US keymaps get loaded correctly (#179845).

2006-02-02  Jeremy Katz  <katzj@redhat.com>

	* Makefile.inc: Patch from toshio for more python version
	independence (#168751)

2005-12-22  Jeremy Katz  <katzj@redhat.com>

	* rhpl.spec: Bump version.

	* src/exception.py: Clean up spacing.  Use GtkFileChooser instead
	of gnome.ui stuff

	* src/keyboard_models.py (KeyboardModels.__init__): Add Serbian
	keyboard models (#175611)

2005-12-21  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Bump version.

2005-12-14  Chris Lumens  <clumens@redhat.com>

	* src/log.py:  Deprecate rhpl.log.

	* src/Conf.py, src/ConfPAP.py, src/ConfSMB.py, src/genClass.py,
	src/keyboard.py:  Stop using rhpl.log.

2005-12-13  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Bump version.

	* src/keyboard_models.py (KeyboardModels.__init__):  pl -> pl2.

2005-11-23  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Bump version.

2005-11-22  Chris Lumens  <clumens@redhat.com>

	* src/keyboard_models.py (KeyboardModels.__init__):  Update _modelDict
	to match the new modular X config (#173268).

2005-11-15  Jeremy Katz  <katzj@redhat.com>

	* rhpl.spec: Bump version.

	* src/keyboard.py (Keyboard.activate): Search path for setxkbmap
	since it moves with modular X 

2005-10-11  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Bump version.

	* src/firstboot_gui_window.py:  Make deprecation warning refer to the
	correct source line.
	* src/guesslcd.py:  Likewise.
	* src/monitor.py:  Likewise.
	* src/mouse.py:  Likewise.
	* src/videocard.py:  Likewise.
	* src/xhwstate.py:  Likewise.
	* src/xserver.py:  Likewise.

2005-10-07  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Fix requires.  Bump version.

	* src/guesslcd.py:  Moved to rhpxl.  Replaced in rhpl with a little
	module that throws a deprecation warning and then loads the right
	thing anyway.
	* src/monitor.py:  Likewise.
	* src/mouse.py:  Likewise.
	* src/videocard.py:  Likewise.
	* src/xhwstate.py:  Likewise.
	* src/xserver.py:  Likewise.

2005-09-20  Jeremy Katz  <katzj@redhat.com>

	* rhpl.spec: Bump version.

	* src/videocard.py (readDrivers): libdir fixes

2005-09-15  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Bump version.

	* src/firstboot_gui_window.py:  Moved to firstboot.  Replaced in rhpl
	with a little module that throws a deprecation warning and then loads
	the right thing anyway.

2005-09-12  Jeremy Katz  <katzj@redhat.com>

	* rhpl.spec: Bump version, conflict with older wireless-tools.

	* src/ethtool/ethtool.c (get_iwconfig): Hooray for gratuitous
	API/ABI changes.  Patch from Nalin (#168017)

2005-09-12  Jeremy Katz  <katzj@redhat.com>

	* rhpl.spec: Bump version.

	* src/videocard.py (VideoCardInfo.__init__): Die semi-colons, die.

	* src/xserver.py: Fix X startup traceback.

2005-09-12  Chris Lumens  <clumens@redhat.com>

	* src/__init__.py:  Added getArch for firstboot.
	* src/xhwstate.py:  Added fbinfo and get_valid_resolution from
	anaconda for firstboot.

2005-09-09  Bill Nottingham  <notting@redhat.com>

	* rhpl.spec: Bump version, add conflict on older kudzu, hwdata
	
	* src/videocard.py, src/xhwstate.py, src/xserver.py: Adapt
	to new kudzu module for passing X driver information. Remove
	support for Cards database. Remove various dead code.

2005-07-06  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Bump version.

	* src/translate.py (i18n.updateCachedCatPaths):  Handle uncompressed
	mofiles as well as compressed ones.

2005-06-30  Chris Lumens  <clumens@redhat.com>

	* rhpl.spec:  Bump version.

	* src/translate.py (i18n.updateCachedCatPaths):  Use Python's gzip
	module instead of our own gzread.

2005-05-30  Jeremy Katz  <katzj@redhat.com>

	* src/GenericError.py (GenericError.__init__): Kill deprecated
	warning (#159149)

2005-05-19  Jeremy Katz  <katzj@redhat.com>

	* rhpl.spec: Bump version.

	* src/keyboard_models.py (KeyboardModels._get_models): Make the
	modelDict a property and do the translation each time (#157733)

	* src/keyboard.py (Keyboard._get_models): Get the keyboard models
	each time so that we get the translations right. 


2005-05-19  Paul Nasrat <pnasrat@redhat.com>

	* rhpl.spec, src/mouse.py, src/xhwstate.py: ALPS GlidePoint support

2005-05-16  Chris Lumens  <clumens@redhat.com>

	* src/ethtool/ethtool.c:  Don't pad IP address fields out with zeros
	(#157657).
	* src/keyboard_models.py (KeyboardModels.__init__):  Remove directory
	name from dvorak so it'll show up in anaconda's lists (#157763,
	#157840).
	* src/xhwstate.py (compare_resolution):  Change resolution sorting
	mode to match X - width first, then height (Jef Spaleta, #157596).

2005-05-05  Jeremy Katz  <katzj@redhat.com>

	* rhpl.spec: spec file tweaks suggested in #156925

2005-05-05  Jeremy Katz  <katzj@redhat.com>

	* src/monitor.py (MonitorInfo.__init__): Try looking up monitors
	which we don't have full probe info for.  Fixes the 20" cinema display.

2005-05-02  Jeremy Katz  <katzj@redhat.com>

	* src/xserver.py (startX): Do FB by default on ppc64pseries, not
	all ppc (#149188)

	* src/xhwstate.py (XF86HardwareState.set_videocard_card): Hack to
	set UseFBDev on ppc boxes using an ati video card (#149188)

2005-04-27  Jeremy Katz  <katzj@redhat.com>

	* src/Makefile: Don't build ethtool stuff on s390

Fri Apr 22 12:57:44 2005  Søren Sandmann  <sandmann@redhat.com>

	* data/extramodes: Fix the modes names to not include _xx.yy.

Thu Apr 21 15:27:00 2005  Søren Sandmann  <sandmann@redhat.com>

	* data/extramodes: Synchronize with the xorg package; add various
	weird laptop resolutions.

2005-04-21  Chris Lumens  <clumens@redhat.com>

	* src/firstboot_gui_window.py:  Fix gtk.FALSE and gtk.TRUE deprecation
	warnings.

2005-03-21  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py (arches): Add alpha arch def (Sergey Tikhonov, #151476)

2005-03-09  Peter Jones <pjones@redhat.com>

	* storage.py: Got rid of "constructors" in favor of a Unit class
	and "units", which works like the old constructors.
	Reworked storage.Size.__str__ to be much cleaner.
	Made clamp/unclamp/shrink return self.

2005-03-09  Peter Jones  <pjones@redhat.com>

	* src/descriptors.py: added NonNegativeIntegerDescriptor, it does
	the obvious.
	* src/storage.py: added Size.display_magnitude_offset, which allows
	you to display things that are naturally MB in terms of kB, GB in terms
	of MB and kB, etc.

2005-03-09  Harald Hoyer <harald@redhat.com>

	* src/ethtool/setup.py src/ethtool/ethtool.py: fixed segfault 
	#150449 with s/strcpy/strncpy/ in ethtool

2005-03-08  Peter Jones  <pjones@redhat.com>

	* src/descriptors.py: add SimpleBoolDescriptor, BoolDescriptor,
	and TristateDescriptor classes
	* src/storage.py: add Size class useful for representing the size
	of disks or ram, and several utility functions such as Bytes(),
	kBytes, MBytes(), etc., which act as constructors.
	* src/genModule.py: generates python modules on the fly, so
	you don't need to make a directory, __init__.py, etc just to
	do "from foo.bar import baz"

2005-01-25  Peter Jones  <pjones@redhat.com>

	* src/keyboarD_models.py (KeyboardModels.__init__): add Russian
	unicode	keyboard (#146009)
	* src/diskutil.c (dev_t): revert the 0.152 fix for kernheaders

2005-01-19  Jeremy Katz  <katzj@redhat.com>

	* src/diskutil.c (dev_t): Fix build with new glibc-kernel-headers

2004-11-17  Jeremy Katz  <katzj@redhat.com>

	* src/executil.py (execWithCaptureStatus): Add method from jparsons

2004-11-08  pnasrat  <pnasrat@redhat.com>

	* src/xhwstate.py:
	Check for synaptics on filesystem rather than Require'ing it

2004-11-08  Jeremy Katz  <katzj@redhat.com>

	* src/ddcprobe-stub: Print video RAM amounts of < 1 MB better
	(Barry Nathan, #138332)

2004-11-07  Jeremy Katz  <katzj@redhat.com>

	* Makefile.inc (PYTHON): update for python 2.4

2004-06-08  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py (KeyboardModels.__init__): add Dutch
	keyboard (#123312)

2004-05-05  Jeremy Katz  <katzj@redhat.com>

	* src/diskutil.py (ejectCdrom): open cd device with O_NONBLOCK so
	eject ioctl works (#122524) 

2004-04-16  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard.py (Keyboard.__getitem__): More XFree86->xorg.

2004-04-15  Jeremy Katz  <katzj@redhat.com>

	* src/xserver.py (writeXConfig): Bad Hacks Are Us (TM).  Work
	around the fact that new libxf86config tries to comment out our
	monitor stuff (#120950)

2004-04-14  Jeremy Katz  <katzj@redhat.com>

	* src/translate.py (i18n.gettext): One more try at string 
	encoding madness (#119391)

2004-04-13  Jeremy Katz  <katzj@redhat.com>

	* src/videocard.py: Some XFree86 -> Xorg changes
	* src/xserver.py: Likewise

2004-04-11  Jeremy Katz  <katzj@redhat.com>

	* src/videocard.py (VideoCardInfo.__init__): more vesa fixing

2004-03-09  Jeremy Katz  <katzj@redhat.com>

	* src/videocard.py (VideoCardInfo.__init__): Use vesa driver for
	unknown cards on x86_64.

2004-03-05  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py (getCanonX86_64Arch): Fix silly bug in vendor
	detection for x86_64 (#117585)

2004-03-04  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py (KeyboardModels.__init__): use us layout
	as default with switching then to other layout (#117007)

2004-03-03  Jeremy Katz  <katzj@redhat.com>

	* src/xhwstate.py (XF86HardwareState.choose_sane_default): VMWare 
	can't do 24bpp (#117375)

2004-03-02  Jeremy Katz  <katzj@redhat.com>

	* src/guesslcd.py (scanXLogForLCD): fix for savage (#117079)

2004-02-26  Brent Fox    <bfox@redhat.com>
	* src/xhwstate.py: Add some hooks for PCI bus ID information

2004-02-26  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py (KeyboardModels.__init__): Use utf-8
	Ukrainian map (#116942)

2004-02-18  Jeremy Katz  <katzj@redhat.com>

	* src/mouse.py (Mouse.probe): Slight fix for 2.6 mouse probing stuff.  
	Still not really right, but at least it's closer.

2004-01-22  Jeremy Katz  <katzj@redhat.com>

	* src/translate.py (i18n.gettext): Too much encoding.

2004-01-20  Jeremy Katz  <katzj@redhat.com>

	* src/translate.py (i18n.gettext): encode strings as UTF-8 to
	avoid python assuming that they're ascii (#113202)

2004-01-06  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py (KeyboardModels.__init__): mark keyboard
	model names as keyboard|name to make them differ from language
	names (#84969)

2003-12-16  Jeremy Katz  <katzj@redhat.com>

	* src/monitor.py (MonitorInfo.runDDCProbeStub): if there's not a
	monitor name in the DDC info and there is EISA info, use the EISA
	as the name.  (#112281)

2003-11-14  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py: /usr/bin/python
	* src/comps.py: Likewise.
	* src/ddcprobe-stub: Likewise.
	* src/keyboard_models.py: Likewise.
	* test/*py: Likewise.

2003-11-08  Jeremy Katz  <katzj@redhat.com>

	* src/iconvmodule/iconvmodule.c (Iconv_iconv): fix to handle
	python 2.3

2003-11-06  Jeremy Katz  <katzj@redhat.com>

	* Makefile.inc (PYTHON): python 2.3

2003-10-21  Jeremy Katz  <katzj@redhat.com>

	* src/xhwstate.py (XF86HardwareState.choose_sane_default): some
	video chips don't do so well at 24bpp, so make a blacklist (#105713)

2003-10-16  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py (KeyboardModels.__init__): make default
	for Greek keyboard be the ascii part (#100773)

2003-10-15  Jeremy Katz  <katzj@redhat.com>

	* src/translate.py (i18n.updateCachedCatPaths): Fall back to UTF-8
	if we can't figure out the encoding of a catalog for 
	some reason (#97796)

2003-10-14  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py (KeyboardModels.__init__): 
	Add Croatian (#107054)

2003-09-30  Jeremy Katz  <katzj@redhat.com>

	* src/mouse.py: Make dictionary of mouse types sane and not depend
	on a - separating make and model to make translation sane.
	Preserve compatibility with old API and add some new methods

2003-09-25  Harald Hoyer  <harald@redhat.de>

	* Conf.py (ConfModules.__setitem__): preserve comments in 
	modules.conf #76640

2003-09-04  Harald Hoyer  <harald@redhat.de>

	* ConfPAP.py (getfields): fixed copy&paste array check

2003-09-02  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py (KeyboardModels.__init__): Remove
	Norweigan (Latin-1) (#103463)

2003-08-29  Harald Hoyer  <harald@redhat.de>

	* ethtool.c (get_active_devices): forgot to free ifconf buffer

2003-07-16  Jeremy Katz  <katzj@redhat.com>

	* src/comps.py (Group.add_package_node): add an interface for
	adding packages to groups

2003-07-14  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py: do multilib on ia64

2003-07-08  Jeremy Katz  <katzj@redhat.com>

	* src/translate.py (addPoPath): add a way to add a path to the
	lookup for po files so that we can have translations on update
	disks for testing

2003-07-07  Jeremy Katz  <katzj@redhat.com>

	* Makefile: use $(PYTHON) instead of python (#98698)

2003-06-30  Jeremy Katz  <katzj@redhat.com>

	* src/comps.py: preserve xml nodes/document 

2003-06-29  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py (getCanonX86Arch): check for cmov-less i686 (#98233)

2003-06-17  Jeremy Katz  <katzj@redhat.com>

	* src/exception.py (ExceptionWindow.__init__): tyop fixes (#97527)

2003-06-06  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py (getMultiArchInfo): make multilib info more useful
	(getBaseArch): minor fix for ppc

2003-06-04  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py (arches): Add ppc64[pi]series.
	
2003-06-04  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py (getBaseArch): Make semantics more like what's needed.

2003-05-30  Jeremy Katz  <katzj@redhat.com>

	* src/comps.py: add biarch groups (<biarchonly>) and a way to
	specify the a package is for a basearch only (basearch="true")

2003-05-28  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py: fall back to return ppc64 if it's an unknown ppc64

2003-05-27  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py: fix tyop msw hit

2003-05-23  Jeremy Katz  <katzj@redhat.com>

	* src/arch.py: Add for use in anaconda, redhat-config-packages,
	etc for working with determining the "best" packages with multilib

2003-04-23  Jeremy Katz  <katzj@redhat.com>

	* src/xhwstate.py (XF86HardwareState.set_videocard_card): revert
	broken bit of change for pSeries fb stuff

2003-04-21  Jeremy Katz  <katzj@redhat.com>

	* src/videocard.py (VideoCardInfo.__init__): If we don't find any
	videocards, don't pretend that we did.  Likely to be headless.

2003-04-03  Jeremy Katz  <katzj@redhat.com>

	* src/xserver.py (startX): add code for framebuffer path, use
	by default on ppc

	* src/videocard.py: use rhpl.getArch() instead of copying code.
	update frame buffer card info

	* src/__init__.py (getArch): add a getArch() to return a sensible,
	usable arch

2003-04-02  Jeremy Katz  <katzj@redhat.com>

	* src/xserver.py (probeHW): fix wacky printing (#87640)

2003-04-02  Jeremy Katz  <katzj@redhat.com>
	
	* src/iconvmodule/Makefile (clean): use -r in rm invocation (#85089)

	* src/ethtool/ethtool.c: add a missing typedef (#85089)

2003-02-24  Jeremy Katz  <katzj@redhat.com>

	* src/mouse.py (mouseWindow): try to ensure we have a locale that 
	we can do linedrawing chars for (#84908)

2003-01-31  Adrian Likins <alikins@redhat.com>

	* src/ethtool/ethtool.c: add support for get_ipaddr,
	get_netmask, get_broadcast. Useful for up2date's
	hardware detection bits.

2003-01-30  Jeremy Katz  <katzj@redhat.com>

	* src/videocard.py: set video ram to 8 megs on non-i386
	arches where it can't be probe

2003-01-17  Michael Fulbright  <msf@redhat.com>

	* src/guesslcd.py: module to scan XFree86 log file for LCD panel size
	
	* src/videocard.py: added method to query XFree86 driver for card

	* src/xserver.py (startX): added support to guess LCD size if 
	requested size fails.
	
2003-01-02  Jeremy Katz  <katzj@redhat.com>

	* src/translate.py (i18n.setDomain): make less noisy

2003-01-02  Jeremy Katz  <katzj@redhat.com>	

	* src/discid.py: typo fix

2003-01-01  Jeremy Katz  <katzj@redhat.com>

	* src/discid.py (discid.readFromBuffer): add a way to read the discid
	from a buffer (useful for remote loading via urllib2)

2002-12-29  Jeremy Katz  <katzj@redhat.com>

	* src/translate.py (i18n.setDomain): if we fail, at least gracefully
	fall back instead of causing a traceback (#76104)

2002-12-17  Jeremy Katz  <katzj@redhat.com>
	
	* src/simpleconfig.py: fix lack of import os
	
2002-12-17  Jeremy Katz  <katzj@redhat.com>

	* src/simpleconfig.py: if we can't open the file, just don't set 
	anything (#79754)
	

2002-12-13  Jeremy Katz  <katzj@redhat.com>

	* po/Makefile: just use xgettext.  it works fine for python now

	* src/keyboard_models.py: make names be consistent (#79354)

	* src/xserver.py: only probe for mouse once

	* src/keyboard.py: use executils for setxkbmap

2002-11-26  Michael Fulbright  <msf@avatar.devel.redhat.com>

	* xhwstate.py: Added utility function to give sane res/depth
	
	* monitor.py: Added code to choose sane default of monitor not
	able to be probed.
	
2002-11-21  Michael Fulbright  <msf@avatar.devel.redhat.com>

	* xhwstate.py: Added code to handle the no mouse situation better.

2002-11-19  Michael Fulbright  <msf@avatar.devel.redhat.com>

	* xserver.py: Added - code to get X server running from scratch

2002-11-12  Michael Fulbright  <msf@redhat.com>

	* xhwstate.py: Added - lots of code from redhat-config-xfree86

2002-11-05  Jeremy Katz  <katzj@redhat.com>

	* src/videocard.py (VideoCardInfo.readCardsDB): access Cards
	database in /usr/share/hwdata instead of /usr/X11R6/lib/X11 (#73899)

2002-11-01  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard.py: try to find loadkeys (#75329)

2002-10-31  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py: add Macedonian keyboard (#76902)

2002-10-08  Jeremy Katz  <katzj@redhat.com>

	* src/iconvmodule/iconvmodule.c: revert to previous version since
	it's slightly clearer and functionally the same

2002-10-08  Phil Knirsch <pknirsch@redhat.com>
	* src/iconvmodule/iconvmodule.c:
	Integreated Karstens 64bit bigendian patch for s390x

2002-10-04  Brent Fox <bfox@redhat.com>
	* src/firstboot_gui_window.py:
	allow a window icon to be passed into stand_alone
	allow for calls to apply to fail without exiting gtk mainloop
	
2002-10-03  Jeremy Katz  <katzj@redhat.com>

	* Makefile.inc (PYTHONLIBDIR): fix to handle multilib

	* src/iconvmodule/iconvmodule.c (Iconv_iconv):
	PyObject_asReadBuffer() expects *int while iconv() expects size_t.

2002-08-29  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py: update romanian console keymap (#72952)

2002-08-28  Jeremy Katz  <katzj@redhat.com>

	* src/diskutil.py: fix-up /etc/mtab as a result of using mount/umount

2002-08-23  Michael Fulbright  <msf@avatar.devel.redhat.com>

	* videocard.py: Use unsupported VGA compatible card entry if card
	unknown

2002-08-22  Jeremy Katz  <katzj@redhat.com>

	* src/translate.py: bind setting codeset for textdomains not
	pulled in from python

	* src/translate.c: new file

	* src/translate.py: fix a typo

	* src/mouse.py: add a read() method

2002-08-21  Jeremy Katz  <katzj@redhat.com>

	* src/mouse.py: fix mouse setting if not probed successfully

2002-08-16  Jeremy Katz  <katzj@redhat.com>

	* src/mouse.py:
	"None - None" is now "No mouse" (#71580)

	* src/translate.py: 
	make it sanely handle multiple textdomains

	* src/translate.py: 
	add proper support for setting the codeset based on patches from
	tagoh@redhat.com (#71088)

	* src/firstboot_gui_window.py: use real _ and N_, not just stubs

2002-08-15  Jeremy Katz  <katzj@redhat.com>

	* src/comps.py: handle translated category names in comps file

2002-08-12  Jeremy Katz  <katzj@redhat.com>

	* src/mouse.py: add generic wheel mice

	* src/comps.py: add bad hack to handle things like kde-i18n-foo
	which should only be installed with the language support and kdelibs

2002-08-09  Jeremy Katz  <katzj@redhat.com>

	* src/GenericError.py: move error types into GenericError object

2002-08-06  Michael Fulbright  <msf@.redhat.com>

	* src/monitor.py: added loose sanity checks on sync rates

oTue Aug  6 01:17:56 2002  Jonathan Blandford  <jrb@redhat.com>

	* src/discid.py: new, silly class for discid files

2002-08-02  Jeremy Katz  <katzj@redhat.com>

	* src/keyboard_models.py:
	be-latin2 isn't a valid keymap

2002-07-31  Jeremy Katz  <katzj@redhat.com>

	* src/diskutil.py:
	* src/diskutil.c:
	add losetup, unlosetup, and getUnusedLoop methods

2002-07-25  Jeremy Katz  <katzj@redhat.com>

	* src/mouse.py: don't set emulate three buttons when applying
	changes to avoid X server weirdness (#68129)

	* src/translate.py: set up default langs based on environment

Wed Jul 24 03:31:52 2002  Jonathan Blandford  <jrb@redhat.com>

	* src/GenericError.py (GenericQuestionError): add example and
	better yes/no support

2002-07-24  Jeremy Katz  <katzj@redhat.com>

	* diskutil.py:
	* diskutil.c: 
	add some simple disk utility function (mount, umount, sync, ejectCdrom)

2002-07-22  Jeremy Katz  <katzj@redhat.com>

	* comps.py: add support for reading in the group hierarchy

2002-07-17  Michael Fulbright  <msf@redhat.com>
	* executils.py: include the getfd() function

2002-07-16  Jeremy Katz  <katzj@redhat.com>

	* comps.py: add metapkg support

2002-07-15  Jeremy Katz  <katzj@redhat.com>

	* keyboard_models.py: add get_supported_models() to get a list of
	maps that we can use

	* keyboard_models.py: fix jp106 keyboard description

2002-07-10  Jeremy Katz  <katzj@redhat.com>

	* comps.py: add installed attribute for Package object

2002-07-10  Alexander Larsson  <alexl@redhat.com>

	* src/monitor.py (ModeLine.list_from_string):
	Gah! Got bitten by pythons indentation.

2002-07-05  Alexander Larsson  <alexl@redhat.com>

	* src/monitor.py:
	Make monitor_supports_mode return -1 for unknown modes
	and not spew.

2002-06-28  Jeremy Katz  <katzj@redhat.com>

	* comps.py: expat is slow and uses lots of memory.  switch to libxml2

2002-06-28  Jeremy Katz  <katzj@redhat.com>

	* keyboard.py: only run setxkbmap if we have a DISPLAY environment
	variable (#66240)

2002-06-27  Jeremy Katz  <katzj@redhat.com>

	* comps.py: add parser for new comps file format

2002-06-26  Elliot Lee <sopwith@redhat.com>
	* Store & pass width/height as ints, not strings (fixes 
	redhat-config-xfree86 problem where it expects numbers)

2002-06-12  Jeremy Katz  <katzj@redhat.com>

	* keyboard_models.py:
	cz-lat2-prog -> cz-lat2 (#66354)

2002-06-04  Michael Fulbright  <msf@avatar.devel.redhat.com>

	* videocard.py:
	Fix for bug #65812 - internals of a kudzu ddcDevice appear to 
	have changed.

2002-05-28  Jeremy Katz  <katzj@redhat.com>

	* keyboard.py:
	add Keyboard.__getitem__() so that we can get the attributes

	* firstboot_gui_window.py:
	added gui screen parent class for modules shared between
	standalone config tools, firstboot, and anaconda

	* kbd.py:
	removed
	
	* keyboard.py, keyboard_models.py:
	add new keyboard backend data class

2002-05-27  Jeremy Katz  <katzj@redhat.com>

	* simpleconfig.py:
	add read() and write() methods for simple config files

	* translate.py:
	Add handling of setting domain to use for translations

2002-05-24  Michael Fulbright  <msf@avatar.devel.redhat.com>

	* Added kbd.py containing a keyboard class.

2002-05-23  Alex Larsson  <alexl@redhat.com>

	* Makefile:
	Add data subdir

	* Makefile.inc:
	Add DATADIR

	* rhpl.spec:
	Add /usr/share/rhpl to files list
	
	* src/monitor.py:
	Add code to check if monitor supports some mode.

	* data/Makefile:
	* data/extramodes:
	* data/vesamodes:
	Modelines from xfree for the standard video modes.
	
2002-05-23  Alex Larsson  <alexl@redhat.com>

	* src/monitor.py:
	Add getters and setters for physical monitor size.
	(MonitorInfo.supportsMode): 

2002-05-22  Jeremy Katz  <katzj@redhat.com>

	* Initial creation.  Pull in translate.py and deps from anaconda

